scim::Connection Class Reference
SignalSlot

A signal connection class. More...

`#include <scim_connection.h>`

## Public Member Functions

Constructors
| Connection ()
| Default constructor.
| Connection (Node *node)
| Connection (const Connection &src)
| Copy constructor.
| ~Connection ()
| Destructor.
Connection & | operator= (const Connection &src)
| Assignment operator.
Methods
void | block ()
void | unblock ()
void | disconnect ()

## Detailed Description

A signal connection class.

A Connection class is returned by value from a signal's connect() method. Using this class you can block, unblock and disconnect a signal connection.

## Constructor & Destructor Documentation

## Connection() [1/3]

scim::Connection::Connection | ( |  | ) |

Default constructor.

Referenced by Connection(), and operator=().

## Connection() [2/3]

scim::Connection::Connection | ( | Node * | node | ) |

Construct a connection object for node.

Parameters

  node | - a pointer to the Node class for this connection.

## Connection() [3/3]

scim::Connection::Connection | ( | const Connection & | src | ) |

Copy constructor.

References Connection().

## ~Connection()

scim::Connection::~Connection | ( |  | ) |

Destructor.

## Member Function Documentation

## operator=()

Connection & scim::Connection::operator= | ( | const Connection & | src | ) |

Assignment operator.

References Connection().

## block()

void scim::Connection::block | ( |  | ) |

Block signal transmission to a slot. The slot will not be called during any signal emissions unless it is unblocked again.

## unblock()

void scim::Connection::unblock | ( |  | ) |

Unblock a previously blocked slot. A blocked slot is skipped during signal emissions and will not be invoked, unblocking it (for exactly the number of times it has been blocked before) reverts its "blocked" state, so the slot will be recognized by the signal system and is called upon future or currently ongoing signal emissions.

## disconnect()

void scim::Connection::disconnect | ( |  | ) |

Disconnect a slot. The slot will not be called during any future or currently ongoing emissions of the signal it has been connected to.

The documentation for this class was generated from the following file:

- scim_connection.h